## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanAllocator Template Class Reference

`#include <XalanAllocator.hpp>`

List of all members.

## Public Types

- typedef size_t size_type
- typedef ptrdiff_t difference_type
- typedef Type* pointer
- typedef const Type* const_pointer
- typedef Type& reference
- typedef const Type& const_reference
- typedef Type value_type

## Public Methods

- XalanAllocator ()
- XalanAllocator (const XalanAllocator<Type>&)
- ~XalanAllocator ()
- pointer address (reference x) const
- const_pointer address (const_reference x) const
- pointer allocate ( size_type size, const void* = 0)
- void deallocate ( pointer p, size_type )
- size_type max_size () const
- void construct ( pointer p, const Type& val)
- void destroy (pointer p)

## Member Typedef Documentation

template<classType>
typedef const Type* XalanAllocator<Type>::const_pointer

template<classType>
typedef const Type& XalanAllocator<Type>::const_reference

template<classType>
typedef ptrdiff_t XalanAllocator<Type>::difference_type

template<classType>
typedef Type* XalanAllocator<Type>::pointer

template<classType>
typedef Type& XalanAllocator<Type>::reference

template<classType>
typedef size_t XalanAllocator<Type>::size_type

template<classType>
typedef Type XalanAllocator<Type>::value_type

## Constructor & Destructor Documentation

template<classType>
XalanAllocator<Type>::XalanAllocator<Type> ( | )`[]`

template<classType>
XalanAllocator<Type>::XalanAllocator<Type> ( | const XalanAllocator< Type >& )`[]`

template<classType>
XalanAllocator<Type>::~XalanAllocator<Type> ( | )`[]`

## Member Function Documentation

template<classType>
const_pointer XalanAllocator<Type>::address ( | const_reference x ) const`[]`

template<classType>
pointer XalanAllocator<Type>::address ( | reference x ) const`[]`

template<classType>
pointer XalanAllocator<Type>::allocate ( | size_type size,
| const void * = 0 )`[]`

template<classType>
void XalanAllocator<Type>::construct ( | pointer p,
| const Type & val )`[]`

template<classType>
void XalanAllocator<Type>::deallocate ( | pointer p,
| size_type )`[]`

template<classType>
void XalanAllocator<Type>::destroy ( | pointer p )`[]`

template<classType>
size_type XalanAllocator<Type>::max_size ( | ) const`[]`

The documentation for this class was generated from the following file:

- XalanAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.